gssapi32.dll 1.5 - Kerberos

This is a discussion on gssapi32.dll 1.5 - Kerberos ; Hi all, I've just installed KfW 3.1 (beta) and noticed the shipped gssapi32.dll is 1.4.3.1 (as all krb5 related dll). So I guess KfW is built with krb5 1.4.3. I'm interested in the SPNEGO support added, if I understood correctl,y ...

+ Reply to Thread
Results 1 to 5 of 5

Thread: gssapi32.dll 1.5

  1. gssapi32.dll 1.5

    Hi all,

    I've just installed KfW 3.1 (beta) and noticed the shipped gssapi32.dll
    is 1.4.3.1 (as all krb5 related dll). So I guess KfW is built with krb5
    1.4.3.

    I'm interested in the SPNEGO support added, if I understood correctl,y
    in the latest gssapi (release 1.5) in order to make my windows firefox
    talks correctly spnego (actually it sends a raw krb5 mech token when
    Negotiate auth is requested).

    So put simply, is there a way to have gssapi32.dll 1.5 and supportings
    libs pre-built for windows ? Or do I have to build it myself ?


  2. Re: gssapi32.dll 1.5

    Olivier Brunet wrote:
    > Hi all,
    >
    > I've just installed KfW 3.1 (beta) and noticed the shipped gssapi32.dll
    > is 1.4.3.1 (as all krb5 related dll). So I guess KfW is built with krb5
    > 1.4.3.
    >
    > I'm interested in the SPNEGO support added, if I understood correctl,y
    > in the latest gssapi (release 1.5) in order to make my windows firefox
    > talks correctly spnego (actually it sends a raw krb5 mech token when
    > Negotiate auth is requested).
    >
    > So put simply, is there a way to have gssapi32.dll 1.5 and supportings
    > libs pre-built for windows ? Or do I have to build it myself ?


    KFW 3.1 has to be finished first. Then I will look to find the time to
    work on the 1.5 kerberos 5 libraries on Windows in order to add
    functionality that was implemented in 1.5 for POSIX but not for Windows.
    The 1.5 libraries will build on Windows but they have not been
    thoroughly tested and features such as plug-in support is non-existent.

    Jeffrey Altman

  3. Re: gssapi32.dll 1.5

    oken when
    > > Negotiate auth is requested).
    > >
    > > So put simply, is there a way to have gssapi32.dll 1.5 and supportings
    > > libs pre-built for windows ? Or do I have to build it myself ?

    >
    > KFW 3.1 has to be finished first. Then I will look to find the time to
    > work on the 1.5 kerberos 5 libraries on Windows in order to add
    > functionality that was implemented in 1.5 for POSIX but not for Windows.
    > The 1.5 libraries will build on Windows but they have not been
    > thoroughly tested and features such as plug-in support is non-existent.


    As I never built the MIT libs it may sound a stupid question but do I
    have a chance to succesfully build on windows the gssapi 1.5 with
    SPNEGO support (and of course krb5) without this missing feature ?


  4. Re: gssapi32.dll 1.5

    Olivier Brunet wrote:
    > oken when
    >>> Negotiate auth is requested).
    >>>
    >>> So put simply, is there a way to have gssapi32.dll 1.5 and supportings
    >>> libs pre-built for windows ? Or do I have to build it myself ?

    >> KFW 3.1 has to be finished first. Then I will look to find the time to
    >> work on the 1.5 kerberos 5 libraries on Windows in order to add
    >> functionality that was implemented in 1.5 for POSIX but not for Windows.
    >> The 1.5 libraries will build on Windows but they have not been
    >> thoroughly tested and features such as plug-in support is non-existent.

    >
    > As I never built the MIT libs it may sound a stupid question but do I
    > have a chance to succesfully build on windows the gssapi 1.5 with
    > SPNEGO support (and of course krb5) without this missing feature ?


    If you are going to build it, grab the KFW 3.1 Beta 1 sources, replace
    the contents of the src/athena/auth/krb5 tree with the 1.5 version while
    making sure that you preserve the src/athena/auth/krb5/Makefile.src
    file. Then build KFW as per the directions.

    If you build the 1.5 libraries outside of the KFW framework, you won't
    be able to access the credentials cache.

    In a few weeks I will get a KFW 3.2 Alpha out that will be built on
    the 1.5.x Kerberos 5 release. KFW 3.1 needs to be finished first and
    there are several other projects I must complete in conjunction with KFW
    3.1.

    Jeffrey Altman

  5. Re: gssapi32.dll 1.5

    >>>>> "Olivier" == Olivier Brunet writes:

    Olivier> oken when
    >> > Negotiate auth is requested).
    >> >
    >> > So put simply, is there a way to have gssapi32.dll 1.5 and

    >> supportings > libs pre-built for windows ? Or do I have to
    >> build it myself ?
    >>
    >> KFW 3.1 has to be finished first. Then I will look to find the
    >> time to work on the 1.5 kerberos 5 libraries on Windows in
    >> order to add functionality that was implemented in 1.5 for
    >> POSIX but not for Windows. The 1.5 libraries will build on
    >> Windows but they have not been thoroughly tested and features
    >> such as plug-in support is non-existent.


    Olivier> As I never built the MIT libs it may sound a stupid
    Olivier> question but do I have a chance to succesfully build on
    Olivier> windows the gssapi 1.5 with SPNEGO support (and of course
    Olivier> krb5) without this missing feature ?

    The SPNEGO code in 1.5 does not require plugin support.

    You may well be able to build based on the 1.5 sources. It will
    probably require work and you will probably find bugs.

    ________________________________________________
    Kerberos mailing list Kerberos@mit.edu
    https://mailman.mit.edu/mailman/listinfo/kerberos


+ Reply to Thread